# Sources from github:
# git://github.com/dieterv/elib.intl.git

%define _requires_exceptions	setuptools

%define oname	elib.intl

%define gdate	20110711
%define rel	3

Name:		python-%{oname}
Version:	0.0.3
Release:	%mkrel -c git%{gdate} %{rel}
Summary:	Enhanced internationalization (I18N) for Python
License:	LGPLv3+
Group:		Development/Python
Url:		https://github.com/dieterv/elib.intl
Source0:	%{oname}-%{gdate}.tar.xz
BuildArch:	noarch
BuildRequires:	python-setuptools
BuildRequires:	python-sphinx
Provides:	%{oname} = %{version}-%{release}

%description
The elib.intl module provides enhanced internationalization (I18N) services
for your Python modules and applications.

elib.intl wraps Python's :func:`gettext` functionality.

%prep
%setup -qn %{oname}-%{gdate}

%build
python setup.py build

pushd doc/reference
        make html
	rm -rf build/html/.buildinfo
popd

%install
python setup.py install \
	--root %{buildroot}

%files
%doc doc/reference/build/html
%{python_sitelib}/%{oname}*
%{python_sitelib}/elib/


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.0.3-0.git20110711.3.mga4
+ Revision: 543246
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.0.3-0.git20110711.2.mga4
+ Revision: 498535
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed May 29 2013 wally <wally> 0.0.3-0.git20110711.1.mga4
+ Revision: 432779
- imported package python-elib.intl

